Index: main/trunk/greenstone2/perllib/plugins/FOXPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/FOXPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/FOXPlugin.pm	(revision 31492)
@@ -31,5 +31,5 @@
 package FOXPlugin;
 
-use BasePlugin;
+use BaseImporter;
 use util;
 use doc;
@@ -41,15 +41,15 @@
 
 sub BEGIN {
-    @FOXPlugin::ISA = ('BasePlugin');
+    @FOXPlugin::ISA = ('BaseImporter');
 }
 
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
 	'deft' => &get_default_process_exp() },
       { 'name' => "block_exp",
-	'desc' => "{BasePlugin.block_exp}",
+	'desc' => "{BaseImporter.block_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
@@ -70,5 +70,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
 
     return bless $self, $class;
Index: main/trunk/greenstone2/perllib/plugins/FavouritesPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/FavouritesPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/FavouritesPlugin.pm	(revision 31492)
@@ -40,5 +40,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' => &get_default_process_exp(),
Index: main/trunk/greenstone2/perllib/plugins/GreenstoneMETSPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/GreenstoneMETSPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/GreenstoneMETSPlugin.pm	(revision 31492)
@@ -47,5 +47,5 @@
 
 my $arguments = [ { 'name' => "process_exp",
-		    'desc' => "{BasePlugin.process_exp}",
+		    'desc' => "{BaseImporter.process_exp}",
 		    'type' => "regexp",
 		    'reqd' => "no",
Index: main/trunk/greenstone2/perllib/plugins/GreenstoneXMLPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/GreenstoneXMLPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/GreenstoneXMLPlugin.pm	(revision 31492)
@@ -57,5 +57,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' => &get_default_process_exp(),
Index: main/trunk/greenstone2/perllib/plugins/HBPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/HBPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/HBPlugin.pm	(revision 31492)
@@ -41,5 +41,5 @@
 
 use ghtml;
-use BasePlugin;
+use BaseImporter;
 use unicode;
 use util;
@@ -50,9 +50,9 @@
 
 sub BEGIN {
-    @HBPlugin::ISA = ('BasePlugin');
+    @HBPlugin::ISA = ('BaseImporter');
 }
 my $encoding_list =     
     [ { 'name' => "ascii",
-	'desc' => "{BasePlugin.encoding.ascii}" },
+	'desc' => "{BaseImporter.encoding.ascii}" },
       { 'name' => "iso_8859_1",
 	'desc' => "{HBPlugin.encoding.iso_8859_1}" } ];
@@ -60,5 +60,5 @@
 my $arguments = 
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
@@ -86,5 +86,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
 
     return bless $self, $class;
@@ -92,5 +92,5 @@
 
 # this is included only to prevent warnings being printed out 
-# from BasePlugin::init. The process_exp is not used by this plugin
+# from BaseImporter::init. The process_exp is not used by this plugin
 sub get_default_process_exp {
     my $self = shift (@_);
Index: main/trunk/greenstone2/perllib/plugins/HTMLPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/HTMLPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/HTMLPlugin.pm	(revision 31492)
@@ -62,9 +62,9 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' =>  &get_default_process_exp() },
       { 'name' => "block_exp",
-	'desc' => "{BasePlugin.block_exp}",
+	'desc' => "{BaseImporter.block_exp}",
 	'type' => 'regexp',
 	'deft' =>  &get_default_block_exp() },
@@ -127,5 +127,5 @@
 	'type' => "flag"},
       {'name' => "processing_tmp_files",
-       'desc' => "{BasePlugin.processing_tmp_files}",
+       'desc' => "{BaseImporter.processing_tmp_files}",
        'type' => "flag",
        'hiddengli' => "yes"}
@@ -1284,5 +1284,5 @@
 	    my $filename_encoding =  $self->guess_filesystem_encoding();  
 		
-	    # copied this from set_Source_metadata in BasePlugin
+	    # copied this from set_Source_metadata in BaseImporter
 	    if ((defined $filename_encoding) && ($filename_encoding ne "ascii")) {
 		# Use filename_encoding to map raw filename to a Perl unicode-aware string 
Index: main/trunk/greenstone2/perllib/plugins/HathiTrustMETSPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/HathiTrustMETSPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/HathiTrustMETSPlugin.pm	(revision 31492)
@@ -82,5 +82,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "string",
 	'deft' => &get_default_process_exp(),
@@ -101,5 +101,5 @@
 #	'reqd' => "no" },
       {'name' => "processing_tmp_files",
-       'desc' => "{BasePlugin.processing_tmp_files}",
+       'desc' => "{BaseImporter.processing_tmp_files}",
        'type' => "flag",
        'hiddengli' => "yes"}
@@ -141,5 +141,5 @@
     my $rxf_self = new ReadXMLFile($pluginlist, $inputargs, $hashArgOptLists);
 
-    my $self = BasePlugin::merge_inheritance($imc_self,$rtf_self,$rxf_self);
+    my $self = BaseImporter::merge_inheritance($imc_self,$rtf_self,$rxf_self);
 
     # Update $self used by XML::Parser so it finds callback functions 
@@ -188,8 +188,8 @@
 
 
-# want to use BasePlugin's version of this, not ReadXMLFile's
+# want to use BaseImporter's version of this, not ReadXMLFile's
 sub can_process_this_file {
     my $self = shift(@_);
-    return $self->BasePlugin::can_process_this_file(@_);
+    return $self->BaseImporter::can_process_this_file(@_);
 }
 
@@ -213,10 +213,10 @@
 }
 
-# we want to use BasePlugin's read, not ReadXMLFile's
+# we want to use BaseImporter's read, not ReadXMLFile's
 sub read
 {
     my $self = shift (@_);
 
-    $self->BasePlugin::read(@_);
+    $self->BaseImporter::read(@_);
 }
 
Index: main/trunk/greenstone2/perllib/plugins/ISISPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/ISISPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/ISISPlugin.pm	(revision 31492)
@@ -46,10 +46,10 @@
 my $arguments = 
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
 	'deft' => &get_default_process_exp() },
       { 'name' => "block_exp",
-	'desc' => "{BasePlugin.block_exp}",
+	'desc' => "{BaseImporter.block_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
Index: main/trunk/greenstone2/perllib/plugins/ImageConverter.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/ImageConverter.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/ImageConverter.pm	(revision 31492)
@@ -155,5 +155,5 @@
 }
 
-# needs to be called after BasePlugin init, so that outhandle is set up.
+# needs to be called after BaseImporter init, so that outhandle is set up.
 sub init {
     my $self = shift(@_);
@@ -318,5 +318,5 @@
     }
 
-    #overwrite the ones added in BasePlugin
+    #overwrite the ones added in BaseImporter
     $doc_obj->set_metadata_element ($section, "FileFormat", $type);
     my $sys_file_size = &FileUtils::fileSize($filename_full_path);
Index: main/trunk/greenstone2/perllib/plugins/ImagePlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/ImagePlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/ImagePlugin.pm	(revision 31492)
@@ -26,5 +26,5 @@
 package ImagePlugin;
 
-use BasePlugin;
+use BaseImporter;
 use ImageConverter;
 
@@ -36,10 +36,10 @@
 
 sub BEGIN {
-    @ImagePlugin::ISA = ('BasePlugin', 'ImageConverter');
+    @ImagePlugin::ISA = ('BaseImporter', 'ImageConverter');
 }
 
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' => &get_default_process_exp(),
@@ -65,5 +65,5 @@
     
     new ImageConverter($pluginlist, $inputargs, $hashArgOptLists);
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
 
     return bless $self, $class;
Index: main/trunk/greenstone2/perllib/plugins/IndexPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/IndexPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/IndexPlugin.pm	(revision 31492)
@@ -53,5 +53,5 @@
 
 use plugin;
-use BasePlugin;
+use BaseImporter;
 use doc;
 use util;
@@ -62,5 +62,5 @@
 
 sub BEGIN {
-    @IndexPlugin::ISA = ('BasePlugin');
+    @IndexPlugin::ISA = ('BaseImporter');
 }
 
@@ -81,5 +81,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
 
     return bless $self, $class;
Index: main/trunk/greenstone2/perllib/plugins/LOMPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/LOMPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/LOMPlugin.pm	(revision 31492)
@@ -52,5 +52,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "string",
 	'deft' => &get_default_process_exp(),
Index: main/trunk/greenstone2/perllib/plugins/LaTeXPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/LaTeXPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/LaTeXPlugin.pm	(revision 31492)
@@ -40,5 +40,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
Index: main/trunk/greenstone2/perllib/plugins/MARCPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/MARCPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/MARCPlugin.pm	(revision 31492)
@@ -42,5 +42,5 @@
 # precedence in the order given in the ISA list. We want MetaPlugins to
 # call MetadataRead's can_process_this_file_for_metadata(), rather than
-# calling BasePlugin's version of the same method, so list inherited 
+# calling BaseImporter's version of the same method, so list inherited 
 # superclasses in this order.
 sub BEGIN {
@@ -62,5 +62,5 @@
 	'reqd' => "no" },
       { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
Index: main/trunk/greenstone2/perllib/plugins/MARCXMLPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/MARCXMLPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/MARCXMLPlugin.pm	(revision 31492)
@@ -49,5 +49,5 @@
 		  'reqd' => "no" },
 		 { 'name' => "process_exp",
-		   'desc' => "{BasePlugin.process_exp}",
+		   'desc' => "{BaseImporter.process_exp}",
 		   'type' => "regexp",
 		   'deft' => &get_default_process_exp(),
Index: main/trunk/greenstone2/perllib/plugins/MP3Plugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/MP3Plugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/MP3Plugin.pm	(revision 31492)
@@ -28,5 +28,5 @@
 package MP3Plugin;
 
-use BasePlugin;
+use BaseImporter;
 
 use strict;
@@ -39,10 +39,10 @@
 
 sub BEGIN {
-    @MP3Plugin::ISA = ('BasePlugin');
+    @MP3Plugin::ISA = ('BaseImporter');
 }
 
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' => &get_default_process_exp(),
@@ -62,8 +62,8 @@
 	'deft' => "Title,Artist,Genre" },
       { 'name' => "file_rename_method",
-	'desc' => "{BasePlugin.file_rename_method}",
+	'desc' => "{BaseImporter.file_rename_method}",
 	'type' => "enum",
 	'deft' => &get_default_file_rename_method(), # by default rename imported files and assoc files using this encoding
-	'list' => $BasePlugin::file_rename_method_list,
+	'list' => $BaseImporter::file_rename_method_list,
 	'reqd' => "no"
       } ];
@@ -83,5 +83,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
 
     return bless $self, $class;
@@ -120,5 +120,5 @@
     }
    
-    my $text = &gsprintf::lookup_string("{BasePlugin.dummy_text}",1);
+    my $text = &gsprintf::lookup_string("{BaseImporter.dummy_text}",1);
     if ($self->{'assoc_images'}) {
 	$text .= "[img1]<br>";
@@ -338,5 +338,5 @@
 
 
-# we want to use ex.id3.Title if its there, otherwise we'll use BasePlugin method
+# we want to use ex.id3.Title if its there, otherwise we'll use BaseImporter method
 sub title_fallback
 {
@@ -350,5 +350,5 @@
 	}
 	else {
-	    $self->BasePlugin::title_fallback($doc_obj, $section, $file);
+	    $self->BaseImporter::title_fallback($doc_obj, $section, $file);
 	}
     }
Index: main/trunk/greenstone2/perllib/plugins/MediainfoOGVPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/MediainfoOGVPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/MediainfoOGVPlugin.pm	(revision 31492)
@@ -50,5 +50,5 @@
 package MediainfoOGVPlugin;
 
-use BasePlugin;
+use BaseImporter;
 
 use strict;
@@ -57,10 +57,10 @@
 
 sub BEGIN {
-    @MediainfoOGVPlugin::ISA = ('BasePlugin');
+    @MediainfoOGVPlugin::ISA = ('BaseImporter');
 }
 
 my $arguments  =  
     [ { 'name' => "process_exp",
-        'desc' => "{BasePlugin.process_exp}",
+        'desc' => "{BaseImporter.process_exp}",
         'type' => "regexp",
         'deft' => &get_default_process_exp(),
@@ -88,5 +88,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
 
     return bless $self, $class;
@@ -97,5 +97,5 @@
     my ($verbosity, $outhandle, $failhandle) = @_;
 
-    $self->BasePlugin::init($verbosity, $outhandle, $failhandle);   
+    $self->BaseImporter::init($verbosity, $outhandle, $failhandle);   
 
     # Check that Mediainfo is installed and available on the path (except for Windows 95/98)
Index: main/trunk/greenstone2/perllib/plugins/MetadataCSVPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/MetadataCSVPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/MetadataCSVPlugin.pm	(revision 31492)
@@ -28,5 +28,5 @@
 
 
-use BasePlugin;
+use BaseImporter;
 use MetadataRead;
 
@@ -42,5 +42,5 @@
 # methods with identical signatures take precedence in the order given in the ISA list.
 sub BEGIN {
-    @MetadataCSVPlugin::ISA = ('MetadataRead', 'BasePlugin');
+    @MetadataCSVPlugin::ISA = ('MetadataRead', 'BaseImporter');
 }
 
@@ -48,5 +48,5 @@
 my $arguments = [
       { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
@@ -72,5 +72,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
 
     return bless $self, $class;
Index: main/trunk/greenstone2/perllib/plugins/MetadataRead.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/MetadataRead.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/MetadataRead.pm	(revision 31492)
@@ -38,7 +38,7 @@
 
 # MetadataRead defines method can_process_this_file_for_metadata() with identical
-# signature to BasePlugin. (MetadataRead doesn't inherit from BasePlugin, so it's
+# signature to BaseImporter. (MetadataRead doesn't inherit from BaseImporter, so it's
 # not 'overriding' it.) Subclasses of MetadataRead that want to use this method 
-# definition can override their inherited BasePlugin version of the method by 
+# definition can override their inherited BaseImporter version of the method by 
 # listing MetadataRead as the *first* superclass they inherit from in the ISA list.
 # This is the way Perl resolves conflicting method definitions.
Index: main/trunk/greenstone2/perllib/plugins/MetadataXMLPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/MetadataXMLPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/MetadataXMLPlugin.pm	(revision 31492)
@@ -92,5 +92,5 @@
 use Encode;
 
-use BasePlugin;
+use BaseImporter;
 use extrametautil;
 use util;
@@ -99,5 +99,5 @@
 
 sub BEGIN {
-    @MetadataXMLPlugin::ISA = ('BasePlugin');
+    @MetadataXMLPlugin::ISA = ('BaseImporter');
     unshift (@INC, "$ENV{'GSDLHOME'}/perllib/cpan");
 }
@@ -107,5 +107,5 @@
 my $arguments = [
       { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
@@ -128,5 +128,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
 
     if ($self->{'info_only'}) {
Index: main/trunk/greenstone2/perllib/plugins/NulPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/NulPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/NulPlugin.pm	(revision 31492)
@@ -37,5 +37,5 @@
 package NulPlugin;
 
-use BasePlugin;
+use BaseImporter;
 use MetadataRead;
 
@@ -44,10 +44,10 @@
 
 sub BEGIN {
-    @NulPlugin::ISA = ('MetadataRead', 'BasePlugin');
+    @NulPlugin::ISA = ('MetadataRead', 'BaseImporter');
 }
 
 my $arguments = 
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
@@ -81,5 +81,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
     
     return bless $self, $class;
Index: main/trunk/greenstone2/perllib/plugins/OAIPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/OAIPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/OAIPlugin.pm	(revision 31492)
@@ -57,5 +57,5 @@
 my $arguments = 
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
Index: main/trunk/greenstone2/perllib/plugins/OggVorbisPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/OggVorbisPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/OggVorbisPlugin.pm	(revision 31492)
@@ -30,5 +30,5 @@
 
 
-use BasePlugin;
+use BaseImporter;
 use Ogg::Vorbis::Header::PurePerl;
 
@@ -38,5 +38,5 @@
 
 sub BEGIN {
-    @OggVorbisPlugin::ISA = ('BasePlugin');
+    @OggVorbisPlugin::ISA = ('BaseImporter');
 }
 
@@ -44,5 +44,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "string",
 	'deft' => &get_default_process_exp(),
@@ -53,8 +53,8 @@
 	'deft' => "" }, 
       { 'name' => "file_rename_method",
-	'desc' => "{BasePlugin.file_rename_method}",
+	'desc' => "{BaseImporter.file_rename_method}",
 	'type' => "enum",
 	'deft' => &get_default_file_rename_method(), # by default rename imported files and assoc files using this encoding
-	'list' => $BasePlugin::file_rename_method_list,
+	'list' => $BaseImporter::file_rename_method_list,
 	'reqd' => "no"
       } ];
@@ -88,5 +88,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
     
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
     
     return bless $self, $class;
Index: main/trunk/greenstone2/perllib/plugins/OpenDocumentPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/OpenDocumentPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/OpenDocumentPlugin.pm	(revision 31492)
@@ -56,5 +56,5 @@
 my $arguments = [
 		 { 'name' => "process_exp",
-		   'desc' => "{BasePlugin.process_exp}",
+		   'desc' => "{BaseImporter.process_exp}",
 		   'type' => "regexp",
 		   'deft' =>  &get_default_process_exp() }
@@ -85,9 +85,9 @@
 }
 
-# want to use BasePlugin's version of this, not ReadXMLFile's
+# want to use BaseImporter's version of this, not ReadXMLFile's
 sub can_process_this_file {
     my $self = shift(@_);
     
-    return $self->BasePlugin::can_process_this_file(@_);
+    return $self->BaseImporter::can_process_this_file(@_);
 }
 
Index: main/trunk/greenstone2/perllib/plugins/PDFPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/PDFPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/PDFPlugin.pm	(revision 31492)
@@ -62,10 +62,10 @@
        'deft' => "html" },	 
      { 'name' => "process_exp",
-       'desc' => "{BasePlugin.process_exp}",
+       'desc' => "{BaseImporter.process_exp}",
        'type' => "regexp",
        'deft' => &get_default_process_exp(),
        'reqd' => "no" },
      { 'name' => "block_exp",
-       'desc' => "{BasePlugin.block_exp}",
+       'desc' => "{BaseImporter.block_exp}",
        'type' => "regexp",
        'deft' => &get_default_block_exp() },
@@ -126,5 +126,5 @@
     my $auto_converter_self = new AutoLoadConverters($pluginlist,$inputargs,$hashArgOptLists,["PDFBoxConverter"],1);
     my $cbf_self = new ConvertBinaryFile($pluginlist, $inputargs, $hashArgOptLists);
-    my $self = BasePlugin::merge_inheritance($auto_converter_self, $cbf_self);
+    my $self = BaseImporter::merge_inheritance($auto_converter_self, $cbf_self);
     
     if ($self->{'info_only'}) {
Index: main/trunk/greenstone2/perllib/plugins/PagedImagePlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/PagedImagePlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/PagedImagePlugin.pm	(revision 31492)
@@ -169,5 +169,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "string",
 	'deft' => &get_default_process_exp(),
@@ -188,5 +188,5 @@
 #	'reqd' => "no" },
       {'name' => "processing_tmp_files",
-       'desc' => "{BasePlugin.processing_tmp_files}",
+       'desc' => "{BaseImporter.processing_tmp_files}",
        'type' => "flag",
        'hiddengli' => "yes"}
@@ -228,5 +228,5 @@
     my $rxf_self = new ReadXMLFile($pluginlist, $inputargs, $hashArgOptLists);
 
-    my $self = BasePlugin::merge_inheritance($imc_self,$rtf_self,$rxf_self);
+    my $self = BaseImporter::merge_inheritance($imc_self,$rtf_self,$rxf_self);
 
     # Update $self used by XML::Parser so it finds callback functions 
@@ -275,8 +275,8 @@
 
 
-# want to use BasePlugin's version of this, not ReadXMLFile's
+# want to use BaseImporter's version of this, not ReadXMLFile's
 sub can_process_this_file {
     my $self = shift(@_);
-    return $self->BasePlugin::can_process_this_file(@_);
+    return $self->BaseImporter::can_process_this_file(@_);
 }
 
@@ -307,10 +307,10 @@
 }
 
-# we want to use BasePlugin's read, not ReadXMLFile's
+# we want to use BaseImporter's read, not ReadXMLFile's
 sub read
 {
     my $self = shift (@_);
 
-    $self->BasePlugin::read(@_);
+    $self->BaseImporter::read(@_);
 }
 
Index: main/trunk/greenstone2/perllib/plugins/PostScriptPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/PostScriptPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/PostScriptPlugin.pm	(revision 31492)
@@ -58,10 +58,10 @@
 	'deft' => "text" },
       { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' => &get_default_process_exp(),
 	'reqd' => "no" },
       { 'name' => "block_exp",
-	'desc' => "{BasePlugin.block_exp}",
+	'desc' => "{BaseImporter.block_exp}",
 	'type' => 'regexp',
 	'deft' => &get_default_block_exp() },
Index: main/trunk/greenstone2/perllib/plugins/PowerPointPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/PowerPointPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/PowerPointPlugin.pm	(revision 31492)
@@ -79,5 +79,5 @@
 my $arguments = 
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
@@ -154,5 +154,5 @@
 
     my $cbf_self = new ConvertBinaryFile($pluginlist, $inputargs, $hashArgOptLists);
-    my $self = BasePlugin::merge_inheritance($auto_converter_self, $cbf_self);
+    my $self = BaseImporter::merge_inheritance($auto_converter_self, $cbf_self);
 
     if ($self->{'info_only'}) {
@@ -296,5 +296,5 @@
     # we are only doing something special for html_multi
     if (!($self->{'openoffice_conversion'} && $self->{'convert_to'} eq "html_multi")) {
-	return $self->BasePlugin::read(@_);
+	return $self->BaseImporter::read(@_);
     }
     my $outhandle = $self->{'outhandle'};
Index: main/trunk/greenstone2/perllib/plugins/ProCitePlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/ProCitePlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/ProCitePlugin.pm	(revision 31492)
@@ -43,5 +43,5 @@
 my $arguments = 
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'reqd' => "no",
Index: main/trunk/greenstone2/perllib/plugins/RTFPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/RTFPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/RTFPlugin.pm	(revision 31492)
@@ -48,5 +48,5 @@
 	'deft' => "html" },
       { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' => &get_default_process_exp(),
Index: main/trunk/greenstone2/perllib/plugins/ReadTextFile.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/ReadTextFile.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/ReadTextFile.pm	(revision 31492)
@@ -49,5 +49,5 @@
     [ { 'name' => "auto",
 	'desc' => "{ReadTextFile.input_encoding.auto}" } ];
-push(@{$encoding_plus_auto_list},@{$EncodingUtil::encoding_list});
+push(@{$encoding_plus_auto_list},@{$CommonUtil::encoding_list});
 
 my $arguments =
@@ -61,5 +61,5 @@
 	'desc' => "{ReadTextFile.default_encoding}",
 	'type' => "enum",
-	'list' => $EncodingUtil::encoding_list,
+	'list' => $CommonUtil::encoding_list,
 	'reqd' => "no",
         'deft' => "utf8" },
Index: main/trunk/greenstone2/perllib/plugins/ReadXMLFile.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/ReadXMLFile.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/ReadXMLFile.pm	(revision 31492)
@@ -26,5 +26,5 @@
 package ReadXMLFile;
 
-use BasePlugin;
+use BaseImporter;
 use doc;
 use strict;
@@ -32,5 +32,5 @@
 
 sub BEGIN {
-    @ReadXMLFile::ISA = ('BasePlugin');
+    @ReadXMLFile::ISA = ('BaseImporter');
     unshift (@INC, "$ENV{'GSDLHOME'}/perllib/cpan");
 }
@@ -40,5 +40,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' => &get_default_process_exp(),
@@ -64,5 +64,5 @@
     push(@{$hashArgOptLists->{"OptList"}},$options);
     
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
 
     if ($self->{'info_only'}) {
@@ -385,5 +385,5 @@
     $self->set_Source_metadata($doc_obj, $filename_full_path, $filename_encoding);
     
-    # do we want other auto metadata here (see BasePlugin.read_into_doc_obj)
+    # do we want other auto metadata here (see BaseImporter.read_into_doc_obj)
 }
 
@@ -392,5 +392,5 @@
     my $doc_obj = $self->{'doc_obj'};
 
-    # do we want other auto stuff here, see BasePlugin.read_into_doc_obj
+    # do we want other auto stuff here, see BaseImporter.read_into_doc_obj
 
     # include any metadata passed in from previous plugins 
Index: main/trunk/greenstone2/perllib/plugins/RealMediaPlugin.pm
===================================================================
--- main/trunk/greenstone2/perllib/plugins/RealMediaPlugin.pm	(revision 31491)
+++ main/trunk/greenstone2/perllib/plugins/RealMediaPlugin.pm	(revision 31492)
@@ -30,5 +30,5 @@
 
 
-use BasePlugin;
+use BaseImporter;
 use rm::Header::PurePerl;
 
@@ -38,5 +38,5 @@
 
 sub BEGIN {
-    @RealMediaPlugin::ISA = ('BasePlugin');
+    @RealMediaPlugin::ISA = ('BaseImporter');
 }
 
@@ -44,5 +44,5 @@
 my $arguments =
     [ { 'name' => "process_exp",
-	'desc' => "{BasePlugin.process_exp}",
+	'desc' => "{BaseImporter.process_exp}",
 	'type' => "regexp",
 	'deft' => &get_default_process_exp(),
@@ -72,5 +72,5 @@
     push(@{$hashArgOptLists->{"OptList"}}, $options); 
 
-    my $self = new BasePlugin($pluginlist, $inputargs, $hashArgOptLists);
+    my $self = new BaseImporter($pluginlist, $inputargs, $hashArgOptLists);
     
     return bless $self, $class;
